OUTPUT_ARCH(sh4)
OUTPUT_FORMAT(elf32-sh)
ENTRY(_main)

MEMORY {
	rom   (rx):   o = 0x00300000, l = 2M
	ram   (rw):   o = 0x08100000, l = 512k
}

SECTIONS {
	/* ROM sections */

	.text : {
		*(.text.entry)
		*(.text .text.*)
	} > rom

	.rodata : SUBALIGN(4) {
		*(.rodata.4)
		*(.rodata .rodata.*)
	} > rom

	/* RAM sections. This addin has no loader so we don't care... */

	. = ORIGIN(ram);

	.bss (NOLOAD) : {
		*(.bss .bss.* COMMON)
		. = ALIGN(16);
	} > ram :NONE

	.data ALIGN(4) : ALIGN(4) {
		/* This will not be loaded... */
		*(.data .data.*)
		. = ALIGN(16);
	} > ram AT> rom
}
